Name:           electron-cash
Version:        3.2
Release:        2%{?dist}
Summary:        A lightweight Bitcoin Cash client

License:        MIT
URL:            https://electroncash.org/
Source0:        https://electroncash.org/downloads/%{version}/win-linux/ElectronCash-%{version}.tar.gz
Source1:        https://github.com/fyookball/keys-n-hashes/raw/master/sigs-and-sums/%{version}/win-linux/ElectronCash-%{version}.tar.gz.sig
#Fri Dec 15 2017, exported the upstream gpg key using the command:
#gpg2 --export --export-options export-minimal D56C110F4555F371AEEFCB254FD06489EFF1DDE1 > gpgkey-electron-cash.gpg
Source2:        gpgkey-electron-cash.gpg

Patch0:         0001-Revert-Improve-argument-parsing-in-setup.py-Unix-dat.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-qt5-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

BuildRequires:  libappstream-glib
BuildRequires:  gnupg2

Requires:       python3
Requires:       python3-ecdsa
Requires:       python3-pyaes
Requires:       python3-pysocks
Requires:       python3-dns
Requires:       python3-requests
Requires:       python3-qrcode
Requires:       python3-protobuf
Requires:       python3-pbkdf2
Requires:       python3-jsonrpclib
Requires:       python3-qt5

Suggests:       zbar-pygtk
Suggests:       python3-trezor >= 0.9.1

Conflicts:      python3-trezor < 0.9.1

%description
Electron Cash is an easy to use Bitcoin Cash client. It protects you from losing
coins in a backup mistake or computer failure, because your wallet can
be recovered from a secret phrase that you can write on paper or learn
by heart. There is no waiting time when you start the client, because
it does not download the Bitcoin block chain.

%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q -n Electron\ Cash-%{version}
%patch0 -p1

%build
pyrcc5 icons.qrc -o gui/qt/icons_rc.py
%{py3_build}

%install
%{py3_install}

# Remove shebang lines from .py files that aren't executable, and
# remove executability from .py files that don't have a shebang line:
# Source: dmalcolm.fedorapeople.org/python3.spec
find %{buildroot} -name \*.py \
  \( \( \! -perm /u+x,g+x,o+x -exec sed -e '/^#!/Q 0' -e 'Q 1' {} \; \
  -print -exec sed -i '1d' {} \; \) -o \( \
  -perm /u+x,g+x,o+x ! -exec grep -m 1 -q '^#!' {} \; \
  -exec chmod a-x {} \; \) \)

desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.electroncash.ElectronCash.appdata.xml

%files
%doc AUTHORS
%doc README.rst
%doc RELEASE-NOTES
%license LICENCE
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/org.electroncash.ElectronCash.appdata.xml
%{python3_sitelib}/electroncash*
%{python3_sitelib}/Electron_Cash-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 3.2-2
- Rebuilt for Python 3.7

* Wed Apr 25 2018 Jonny Heggheim <hegjon@gmail.com> - 3.2-1
- Updated to version 3.2

* Tue Mar 20 2018 Jonny Heggheim <hegjon@gmail.com> - 3.1.6-2
- Added conflicts on older trezor since it does not work with newer version of
  electron-cash

* Sat Mar 17 2018 Jonny Heggheim <hegjon@gmail.com> - 3.1.6-1
- Updated to version 3.1.6

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Jonny Heggheim <hegjon@gmail.com> - 3.1.2-1
- Updated to version 3.1.2

* Sun Jan 07 2018 Jonny Heggheim <hegjon@gmail.com> - 3.1.1-1
- Updated to version 3.1.1

* Fri Jan 05 2018 Jonny Heggheim <hegjon@gmail.com> - 3.1-1
- Updated to version 3.1

* Fri Dec 15 2017 Jonny Heggheim <hegjon@gmail.com> - 3.0-1
- Inital version
